Subject: FVWM: Neat FvwmForm trick

From: [email-masked]
Date: Fri, 22 Mar 96 16:09:50 -0800

Hi, folks.  I'm not on the mailing list so if you want to respond just
email me.

I wrote a neat little applet using FvwmForm.  It's a menu-driven host
selector.  I guess this could be done easily in GoodStuff, but I don't
use GoodStuff (or whatever it's called now).  

To get this to work, you need to create symbolic links to FvwmForm
that are named Rtelnet, CGL and other.  These can be changed if you
change the names of the Forms (which I expect you will want to do).
Basically it works like this: call Rtelnet from an FvwmTalk window
using 'Rtelnet' or map it to a key or menu.  Then when you run
Rtelnet, a list of host classes will pop up.  Click on the host class
you want.  It will then pop up a list of hosts which you choose from.
When you click on a host, it will rsh to the host.  Note- I did this
on an SGI which uses winterm.  You can change winterm to rxvt if you want.

Things to do: generalize, add working keymaps, error reporting in case
winterm or rsh fails.  I think that this program shows how flexible
FvwmForm is- heck, I think if somebody really want to do it, you could
create an FVWM customization menu which wrote .fvwmrc files just from
your selections!  If anybody has done this, or my Rtelnet form is just
a rehash of an old idea, please tell me.

#*RtelnetWarpPointer
*RtelnetGeom -1+100
*RtelnetFore         Black
*RtelnetBack         Light Gray
*RtelnetItemFore          Wheat
*RtelnetItemBack          Gray50 
*RtelnetFont        *helvetica*m*r*n*14*
*RtelnetButtonFont  *helvetica*m*o*n*14*
*RtelnetLine	center
*RtelnetText	"Select class of Hosts:"
*RtelnetLine	left
*RtelnetButton	quit "CGL" C
*RtelnetCommand	Module CGL
*RtelnetLine	left
*RtelnetButton	quit "Other" O
*RtelnetCommand	Module other
*RtelnetLine	left
*RtelnetButton  quit "Cancel"  ^[
*RtelnetCommand Nop

#*CGLGrabServer
*CGLWarpPointer
*CGLFore         Black
*CGLBack         Light Gray
*CGLItemFore          Wheat
*CGLItemBack          Gray50 
*CGLFont        *helvetica*m*r*n*14*
*CGLButtonFont  *helvetica*m*o*n*14*
*CGLLine	center
*CGLText	"Select host:"
*CGLLine	left
*CGLButton	quit "Socrates" s
*CGLCommand	Exec exec winterm -T socrates -n socrates -e rsh socrates &
*CGLLine	left
*CGLButton	quit "Spin" s
*CGLCommand	Exec exec winterm -T spin -n spin -e rsh spin &
*CGLLine	left
*CGLButton       quit "Cancel"  ^[
*CGLCommand Nop

#*otherGrabServer
*otherWarpPointer
*otherFore         Black
*otherBack         Light Gray
*otherItemFore          Wheat
*otherItemBack          Gray50 
*otherFont        *helvetica*m*r*n*14*
*otherButtonFont  *helvetica*m*o*n*14*
*otherLine	center
*otherText	"Select host:"
*otherLine	left
*otherButton	quit "Lc2" s
*otherCommand	Exec exec winterm -T lc2 -n lc2 -e rsh lc2 &
*otherLine	left
*otherButton	quit "Wimpy" s
*otherCommand	Exec exec winterm -T wimpy -n wimpy -e rsh wimpy &
*otherLine	left
*otherButton       quit "Cancel"  ^[
*otherCommand Nop

-- David Konerding --
Graduate Group in Biophysics, Box 0448
University of California
San Francisco, CA 94143
email: [email-masked]         WWW:http://picasso.ucsf.edu/~dek
"You are in a twisty maze of configuration files, all different"

--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].